from definiciones import *

#Funcion que devuelve un diccionario con la informacion de los equipos que estan actualmente jugando un partido
#Si no existen equipos jugando, devuelve un diccionario con valores NULL
def equipos_jugando ():

    #leemos el archivo partidos.dat
    jugando = open("partidos.dat","r")
    
    partido = dict()

    for linea in jugando:
        linea = linea.strip().split(";")
        #si mi archivo no tiene partidos registrados
        if linea[0] == "NULL" :
            partido["equipo1"] = ("NULL","NULL")
            partido["equipo2"] = ("NULL","NULL")
            return partido
        
        else:  
            #obtenemos la informacion de los equipos
            equipo1 = linea[0]
            equipo2 = linea[1]
            goles1 = linea[2]
            goles2 = linea[3]

            partido["equipo1"] = (equipo1,goles1)
            partido["equipo2"] = (equipo2,goles2)

    jugando.close()
    return partido

#Funcion que actualiza la tabla de posiciones. Para ello, obtiene la infomacion registrada en detalle_partidos.dat
#y guarda el contenido en un diccionario que es tomado por main.py para mostrar la informacion en resultados.html

def tabla_de_posiciones ():

    tabla_de_posiciones = dict()

    #resultados del grupo1
    tabla_de_posiciones["Grupo A"] = []

    #resultados del grupo2
    tabla_de_posiciones["Grupo B"] = []

    #resultados del grupo3
    tabla_de_posiciones["Grupo C"] = []
    
    detalle_partidos = open("detalle_partidos.dat","r")
    grupos = open("grupos.dat","r")

    grupo = -1

    #leemos toda la informacion registrada en el detalle de los partidos.
    for linea in detalle_partidos:
        linea = linea.strip().split(";")
        grupos = open("grupos.dat","r")
        pais = linea[0]
        info = (linea[0],linea[1],linea[2],linea[3],linea[4],linea[5],linea[6],linea[7],linea[8])
        #obtenemos el grupo de pais que estamos obteniendo los datos
        for linea2 in grupos:
            linea2 = linea2.strip().split(";")
            if (linea2[0] == pais):
                grupo = linea2[1]
                tabla_de_posiciones[grupo].append(info)
        grupos.close()    
        grupo = str(grupo)

    detalle_partidos.close()
    grupos.close()
    return tabla_de_posiciones


def registrar_partidos (partido):
    return False


def obtener_equipos ():
    return list()


def ingresar_equipos (equipo):
    return False


def actualizar_fecha ():
    return None


def actualizar_partidos (partido):
    return None


def cuarto_de_final ():
    return None


def semi_finales (): 
    return None


def finales ():
    return None
